import { CalendarService } from "./../services/calendar.service";
import { TuiLocalizationService } from "../../../behaviors/localization/index";
export declare type DatepickerMode = "year" | "month" | "date" | "datetime" | "time";
export declare const DatepickerMode: {
    Year: "time" | "year" | "month" | "date" | "datetime";
    Month: "time" | "year" | "month" | "date" | "datetime";
    Date: "time" | "year" | "month" | "date" | "datetime";
    Datetime: "time" | "year" | "month" | "date" | "datetime";
    Time: "time" | "year" | "month" | "date" | "datetime";
};
export declare class TuiDatepicker {
    private _calendarClasses;
    service: CalendarService;
    constructor(localizationService: TuiLocalizationService);
    onMouseDown(e: MouseEvent): void;
}
