var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { TuiPopupModule } from "../popup/index";
import { TuiLocalizationModule } from "../../behaviors/localization/index";
import { TuiUtilityModule } from "../../misc/util/index";
import { TuiCalendarViewTitle } from "./components/calendar-view-title";
import { TuiCalendarYearView } from "./views/year-view";
import { TuiCalendarMonthView } from "./views/month-view";
import { TuiCalendarItem } from "./directives/calendar-item";
import { TuiCalendarDateView } from "./views/date-view";
import { TuiDatepicker } from "./components/datepicker";
import { TuiCalendarHourView } from "./views/hour-view";
import { TuiCalendarMinuteView } from "./views/minute-view";
import { TuiDatepickerInputDirective } from "./directives/input.directive";
import { TuiDatepickerDirective, TuiDatepickerDirectiveValueAccessor, TuiDatepickerDirectiveValidator } from "./directives/datepicker.directive";
var TuiDatepickerModule = (function () {
    function TuiDatepickerModule() {
    }
    return TuiDatepickerModule;
}());
TuiDatepickerModule = __decorate([
    NgModule({
        imports: [
            CommonModule,
            FormsModule,
            TuiPopupModule,
            TuiLocalizationModule,
            TuiUtilityModule
        ],
        declarations: [
            TuiCalendarItem,
            TuiCalendarViewTitle,
            TuiCalendarYearView,
            TuiCalendarMonthView,
            TuiCalendarDateView,
            TuiCalendarHourView,
            TuiCalendarMinuteView,
            TuiDatepicker,
            TuiDatepickerDirective,
            TuiDatepickerDirectiveValueAccessor,
            TuiDatepickerDirectiveValidator,
            TuiDatepickerInputDirective
        ],
        exports: [
            TuiDatepickerDirective,
            TuiDatepickerDirectiveValueAccessor,
            TuiDatepickerDirectiveValidator,
            TuiDatepickerInputDirective
        ],
        entryComponents: [
            TuiDatepicker
        ]
    })
], TuiDatepickerModule);
export { TuiDatepickerModule };
//# sourceMappingURL=datepicker.module.js.map