import { ElementRef } from "@angular/core";
import { TuiLocalizationService } from "../../../behaviors/localization/index";
import { TuiDatepickerDirective, TuiDatepickerDirectiveValueAccessor } from "./datepicker.directive";
import { DateParser } from "../classes/date-parser";
import "../helpers/is-webview";
export declare class TuiDatepickerInputDirective {
    datepicker: TuiDatepickerDirective;
    valueAccessor: TuiDatepickerDirectiveValueAccessor;
    element: ElementRef;
    private _useNativeOnMobile;
    useNativeOnMobile: boolean;
    private _fallbackActive;
    fallbackActive: boolean;
    readonly parser: DateParser;
    private _currentInputValue;
    private _lastUpdateTyped;
    readonly selectedDateString: string | undefined;
    readonly type: string;
    readonly max: string | undefined;
    readonly min: string | undefined;
    constructor(datepicker: TuiDatepickerDirective, valueAccessor: TuiDatepickerDirectiveValueAccessor, element: ElementRef, localizationService: TuiLocalizationService);
    private updateValue(value);
    typeValue(value: string | undefined): void;
    onFocusOut(): void;
}
