var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { TuiTransitionModule } from "../transition/index";
import { TuiUtilityModule } from "../../misc/util/index";
import { TuiPopupDirective } from "./directives/popup.directive";
import { TuiPopupArrow } from "./components/popup-arrow";
import { TuiPopup } from "./components/popup";
import { TuiPopupConfig } from "./services/popup.service";
var TuiPopupModule = (function () {
    function TuiPopupModule() {
    }
    return TuiPopupModule;
}());
TuiPopupModule = __decorate([
    NgModule({
        imports: [
            CommonModule,
            TuiTransitionModule,
            TuiUtilityModule
        ],
        declarations: [
            TuiPopupDirective,
            TuiPopupArrow,
            TuiPopup
        ],
        exports: [
            TuiPopupDirective,
            TuiPopup
        ],
        providers: [
            TuiPopupConfig
        ],
        entryComponents: [
            TuiPopup
        ]
    })
], TuiPopupModule);
export { TuiPopupModule };
//# sourceMappingURL=popup.module.js.map