import { EventEmitter, ViewContainerRef, Renderer2, ElementRef, ChangeDetectorRef, TemplateRef } from "@angular/core";
import { TuiTransition } from "../../transition/index";
import { HandledEvent, TuiComponentFactory } from "../../../misc/util/index";
import { IOptionContext } from "../classes/select-base";
export declare class TuiMultiSelectLabel<T> extends TuiTransition {
    componentFactory: TuiComponentFactory;
    private _labelClasses;
    private _transitionController;
    value: T;
    query?: string;
    onDeselected: EventEmitter<T>;
    formatter: (obj: T) => string;
    private _template?;
    template: TemplateRef<IOptionContext<T>> | undefined;
    templateSibling: ViewContainerRef;
    constructor(renderer: Renderer2, element: ElementRef, changeDetector: ChangeDetectorRef, componentFactory: TuiComponentFactory);
    deselectOption(e: HandledEvent): void;
    onClick(e: HandledEvent): void;
}
