var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { TuiDropdownModule } from "../dropdown/index";
import { TuiUtilityModule } from "../../misc/util/index";
import { TuiLocalizationModule } from "../../behaviors/localization/index";
import { TuiSelect, TuiSelectValueAccessor } from "./components/select";
import { TuiSelectOption } from "./components/select-option";
import { TuiSelectSearch } from "./directives/select-search";
import { TuiMultiSelect, TuiMultiSelectValueAccessor } from "./components/multi-select";
import { TuiMultiSelectLabel } from "./components/multi-select-label";
var TuiSelectModule = (function () {
    function TuiSelectModule() {
    }
    return TuiSelectModule;
}());
TuiSelectModule = __decorate([
    NgModule({
        imports: [
            CommonModule,
            FormsModule,
            TuiDropdownModule,
            TuiUtilityModule,
            TuiLocalizationModule
        ],
        declarations: [
            TuiSelect,
            TuiSelectOption,
            TuiSelectSearch,
            TuiSelectValueAccessor,
            TuiMultiSelect,
            TuiMultiSelectLabel,
            TuiMultiSelectValueAccessor
        ],
        exports: [
            TuiSelect,
            TuiSelectOption,
            TuiSelectSearch,
            TuiSelectValueAccessor,
            TuiMultiSelect,
            TuiMultiSelectLabel,
            TuiMultiSelectValueAccessor
        ]
    })
], TuiSelectModule);
export { TuiSelectModule };
//# sourceMappingURL=select.module.js.map