import { ElementRef, Type, Renderer2 } from "@angular/core";
import { TuiComponentFactory } from "../../../misc/util/index";
import { TuiPopupController } from "./popup-controller";
import { PopupConfig } from "./popup-config";
export declare class TuiPopupComponentController<T> extends TuiPopupController {
    private _component;
    private _contentComponentRef?;
    readonly componentInstance: T | undefined;
    constructor(renderer: Renderer2, element: ElementRef, componentFactory: TuiComponentFactory, _component: Type<T>, config: PopupConfig);
    open(): void;
    protected cleanup(): void;
}
