import { ViewContainerRef, TemplateRef } from "@angular/core";
import { TuiComponentFactory } from "../../../misc/util/index";
import { IResultContext } from "./search";
export declare class TuiSearchResult<T> {
    componentFactory: TuiComponentFactory;
    private _optionClasses;
    value: T;
    query: string;
    formatter: (obj: T, query: string) => string;
    private _template?;
    template: TemplateRef<IResultContext<T>> | undefined;
    templateSibling: ViewContainerRef;
    constructor(componentFactory: TuiComponentFactory);
}
