var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, HostBinding, ContentChild } from "@angular/core";
import { TuiSidebar } from "./sidebar";
import { TuiSidebarSibling } from "./sidebar-sibling";
var TuiSidebarContainer = (function () {
    function TuiSidebarContainer() {
        this._containerClasses = true;
    }
    TuiSidebarContainer.prototype.ngAfterContentInit = function () {
        if (!this.sidebar) {
            throw new Error("You must include a <tui-sidebar> element within the container.");
        }
        this.service = this.sidebar.service;
        if (!this.sibling) {
            throw new Error("You must include a <tui-sidebar-sibling> element within the container.");
        }
        this.sibling.service = this.service;
    };
    return TuiSidebarContainer;
}());
__decorate([
    HostBinding("class.pushable"),
    __metadata("design:type", Boolean)
], TuiSidebarContainer.prototype, "_containerClasses", void 0);
__decorate([
    ContentChild(TuiSidebar),
    __metadata("design:type", TuiSidebar)
], TuiSidebarContainer.prototype, "sidebar", void 0);
__decorate([
    ContentChild(TuiSidebarSibling),
    __metadata("design:type", TuiSidebarSibling)
], TuiSidebarContainer.prototype, "sibling", void 0);
TuiSidebarContainer = __decorate([
    Component({
        selector: "tui-sidebar-container",
        template: "<ng-content></ng-content>",
        styles: ["\n:host {\n    display: block;\n}\n"]
    }),
    __metadata("design:paramtypes", [])
], TuiSidebarContainer);
export { TuiSidebarContainer };
//# sourceMappingURL=sidebar-container.js.map